Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
2ef0::/12
First address
2ef0::
Last address
2eff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
2ef0:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
f.e.2.ip6.arpa
Split into smaller subnets/28

2ef0::/12 makes 65,536 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
12ef0::/282ef0:f:ffff:ffff:ffff:ffff:ffff:ffff
22ef0:10::/282ef0:1f:ffff:ffff:ffff:ffff:ffff:ffff
32ef0:20::/282ef0:2f:ffff:ffff:ffff:ffff:ffff:ffff
42ef0:30::/282ef0:3f:ffff:ffff:ffff:ffff:ffff:ffff
52ef0:40::/282ef0:4f:ffff:ffff:ffff:ffff:ffff:ffff
62ef0:50::/282ef0:5f:ffff:ffff:ffff:ffff:ffff:ffff
72ef0:60::/282ef0:6f:ffff:ffff:ffff:ffff:ffff:ffff
82ef0:70::/282ef0:7f:ffff:ffff:ffff:ffff:ffff:ffff
92ef0:80::/282ef0:8f:ffff:ffff:ffff:ffff:ffff:ffff
102ef0:90::/282ef0:9f:ffff:ffff:ffff:ffff:ffff:ffff
112ef0:a0::/282ef0:af:ffff:ffff:ffff:ffff:ffff:ffff
122ef0:b0::/282ef0:bf:ffff:ffff:ffff:ffff:ffff:ffff
132ef0:c0::/282ef0:cf:ffff:ffff:ffff:ffff:ffff:ffff
142ef0:d0::/282ef0:df:ffff:ffff:ffff:ffff:ffff:ffff
152ef0:e0::/282ef0:ef:ffff:ffff:ffff:ffff:ffff:ffff
162ef0:f0::/282ef0:ff:ffff:ffff:ffff:ffff:ffff:ffff
172ef0:100::/282ef0:10f:ffff:ffff:ffff:ffff:ffff:ffff
182ef0:110::/282ef0:11f:ffff:ffff:ffff:ffff:ffff:ffff
192ef0:120::/282ef0:12f:ffff:ffff:ffff:ffff:ffff:ffff
202ef0:130::/282ef0:13f:ffff:ffff:ffff:ffff:ffff:ffff
212ef0:140::/282ef0:14f:ffff:ffff:ffff:ffff:ffff:ffff
222ef0:150::/282ef0:15f:ffff:ffff:ffff:ffff:ffff:ffff
232ef0:160::/282ef0:16f:ffff:ffff:ffff:ffff:ffff:ffff
242ef0:170::/282ef0:17f:ffff:ffff:ffff:ffff:ffff:ffff
252ef0:180::/282ef0:18f:ffff:ffff:ffff:ffff:ffff:ffff
262ef0:190::/282ef0:19f:ffff:ffff:ffff:ffff:ffff:ffff
272ef0:1a0::/282ef0:1af:ffff:ffff:ffff:ffff:ffff:ffff
282ef0:1b0::/282ef0:1bf:ffff:ffff:ffff:ffff:ffff:ffff
292ef0:1c0::/282ef0:1cf:ffff:ffff:ffff:ffff:ffff:ffff
302ef0:1d0::/282ef0:1df:ffff:ffff:ffff:ffff:ffff:ffff
312ef0:1e0::/282ef0:1ef:ffff:ffff:ffff:ffff:ffff:ffff
322ef0:1f0::/282ef0:1ff:ffff:ffff:ffff:ffff:ffff:ffff
332ef0:200::/282ef0:20f:ffff:ffff:ffff:ffff:ffff:ffff
342ef0:210::/282ef0:21f:ffff:ffff:ffff:ffff:ffff:ffff
352ef0:220::/282ef0:22f:ffff:ffff:ffff:ffff:ffff:ffff
362ef0:230::/282ef0:23f:ffff:ffff:ffff:ffff:ffff:ffff
372ef0:240::/282ef0:24f:ffff:ffff:ffff:ffff:ffff:ffff
382ef0:250::/282ef0:25f:ffff:ffff:ffff:ffff:ffff:ffff
392ef0:260::/282ef0:26f:ffff:ffff:ffff:ffff:ffff:ffff
402ef0:270::/282ef0:27f:ffff:ffff:ffff:ffff:ffff:ffff
412ef0:280::/282ef0:28f:ffff:ffff:ffff:ffff:ffff:ffff
422ef0:290::/282ef0:29f:ffff:ffff:ffff:ffff:ffff:ffff
432ef0:2a0::/282ef0:2af:ffff:ffff:ffff:ffff:ffff:ffff
442ef0:2b0::/282ef0:2bf:ffff:ffff:ffff:ffff:ffff:ffff
452ef0:2c0::/282ef0:2cf:ffff:ffff:ffff:ffff:ffff:ffff
462ef0:2d0::/282ef0:2df:ffff:ffff:ffff:ffff:ffff:ffff
472ef0:2e0::/282ef0:2ef:ffff:ffff:ffff:ffff:ffff:ffff
482ef0:2f0::/282ef0:2ff:ffff:ffff:ffff:ffff:ffff:ffff
492ef0:300::/282ef0:30f:ffff:ffff:ffff:ffff:ffff:ffff
502ef0:310::/282ef0:31f:ffff:ffff:ffff:ffff:ffff:ffff
512ef0:320::/282ef0:32f:ffff:ffff:ffff:ffff:ffff:ffff
522ef0:330::/282ef0:33f:ffff:ffff:ffff:ffff:ffff:ffff
532ef0:340::/282ef0:34f:ffff:ffff:ffff:ffff:ffff:ffff
542ef0:350::/282ef0:35f:ffff:ffff:ffff:ffff:ffff:ffff
552ef0:360::/282ef0:36f:ffff:ffff:ffff:ffff:ffff:ffff
562ef0:370::/282ef0:37f:ffff:ffff:ffff:ffff:ffff:ffff
572ef0:380::/282ef0:38f:ffff:ffff:ffff:ffff:ffff:ffff
582ef0:390::/282ef0:39f:ffff:ffff:ffff:ffff:ffff:ffff
592ef0:3a0::/282ef0:3af:ffff:ffff:ffff:ffff:ffff:ffff
602ef0:3b0::/282ef0:3bf:ffff:ffff:ffff:ffff:ffff:ffff
612ef0:3c0::/282ef0:3cf:ffff:ffff:ffff:ffff:ffff:ffff
622ef0:3d0::/282ef0:3df:ffff:ffff:ffff:ffff:ffff:ffff
632ef0:3e0::/282ef0:3ef:ffff:ffff:ffff:ffff:ffff:ffff
642ef0:3f0::/282ef0:3ff:ffff:ffff:ffff:ffff:ffff:ffff
652ef0:400::/282ef0:40f:ffff:ffff:ffff:ffff:ffff:ffff
662ef0:410::/282ef0:41f:ffff:ffff:ffff:ffff:ffff:ffff
672ef0:420::/282ef0:42f:ffff:ffff:ffff:ffff:ffff:ffff
682ef0:430::/282ef0:43f:ffff:ffff:ffff:ffff:ffff:ffff
692ef0:440::/282ef0:44f:ffff:ffff:ffff:ffff:ffff:ffff
702ef0:450::/282ef0:45f:ffff:ffff:ffff:ffff:ffff:ffff
712ef0:460::/282ef0:46f:ffff:ffff:ffff:ffff:ffff:ffff
722ef0:470::/282ef0:47f:ffff:ffff:ffff:ffff:ffff:ffff
732ef0:480::/282ef0:48f:ffff:ffff:ffff:ffff:ffff:ffff
742ef0:490::/282ef0:49f:ffff:ffff:ffff:ffff:ffff:ffff
752ef0:4a0::/282ef0:4af:ffff:ffff:ffff:ffff:ffff:ffff
762ef0:4b0::/282ef0:4bf:ffff:ffff:ffff:ffff:ffff:ffff
772ef0:4c0::/282ef0:4cf:ffff:ffff:ffff:ffff:ffff:ffff
782ef0:4d0::/282ef0:4df:ffff:ffff:ffff:ffff:ffff:ffff
792ef0:4e0::/282ef0:4ef:ffff:ffff:ffff:ffff:ffff:ffff
802ef0:4f0::/282ef0:4ff:ffff:ffff:ffff:ffff:ffff:ffff
812ef0:500::/282ef0:50f:ffff:ffff:ffff:ffff:ffff:ffff
822ef0:510::/282ef0:51f:ffff:ffff:ffff:ffff:ffff:ffff
832ef0:520::/282ef0:52f:ffff:ffff:ffff:ffff:ffff:ffff
842ef0:530::/282ef0:53f:ffff:ffff:ffff:ffff:ffff:ffff
852ef0:540::/282ef0:54f:ffff:ffff:ffff:ffff:ffff:ffff
862ef0:550::/282ef0:55f:ffff:ffff:ffff:ffff:ffff:ffff
872ef0:560::/282ef0:56f:ffff:ffff:ffff:ffff:ffff:ffff
882ef0:570::/282ef0:57f:ffff:ffff:ffff:ffff:ffff:ffff
892ef0:580::/282ef0:58f:ffff:ffff:ffff:ffff:ffff:ffff
902ef0:590::/282ef0:59f:ffff:ffff:ffff:ffff:ffff:ffff
912ef0:5a0::/282ef0:5af:ffff:ffff:ffff:ffff:ffff:ffff
922ef0:5b0::/282ef0:5bf:ffff:ffff:ffff:ffff:ffff:ffff
932ef0:5c0::/282ef0:5cf:ffff:ffff:ffff:ffff:ffff:ffff
942ef0:5d0::/282ef0:5df:ffff:ffff:ffff:ffff:ffff:ffff
952ef0:5e0::/282ef0:5ef:ffff:ffff:ffff:ffff:ffff:ffff
962ef0:5f0::/282ef0:5ff:ffff:ffff:ffff:ffff:ffff:ffff
972ef0:600::/282ef0:60f:ffff:ffff:ffff:ffff:ffff:ffff
982ef0:610::/282ef0:61f:ffff:ffff:ffff:ffff:ffff:ffff
992ef0:620::/282ef0:62f:ffff:ffff:ffff:ffff:ffff:ffff
1002ef0:630::/282ef0:63f:ffff:ffff:ffff:ffff:ffff:ffff
1012ef0:640::/282ef0:64f:ffff:ffff:ffff:ffff:ffff:ffff
1022ef0:650::/282ef0:65f:ffff:ffff:ffff:ffff:ffff:ffff
1032ef0:660::/282ef0:66f:ffff:ffff:ffff:ffff:ffff:ffff
1042ef0:670::/282ef0:67f:ffff:ffff:ffff:ffff:ffff:ffff
1052ef0:680::/282ef0:68f:ffff:ffff:ffff:ffff:ffff:ffff
1062ef0:690::/282ef0:69f:ffff:ffff:ffff:ffff:ffff:ffff
1072ef0:6a0::/282ef0:6af:ffff:ffff:ffff:ffff:ffff:ffff
1082ef0:6b0::/282ef0:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1092ef0:6c0::/282ef0:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1102ef0:6d0::/282ef0:6df:ffff:ffff:ffff:ffff:ffff:ffff
1112ef0:6e0::/282ef0:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1122ef0:6f0::/282ef0:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1132ef0:700::/282ef0:70f:ffff:ffff:ffff:ffff:ffff:ffff
1142ef0:710::/282ef0:71f:ffff:ffff:ffff:ffff:ffff:ffff
1152ef0:720::/282ef0:72f:ffff:ffff:ffff:ffff:ffff:ffff
1162ef0:730::/282ef0:73f:ffff:ffff:ffff:ffff:ffff:ffff
1172ef0:740::/282ef0:74f:ffff:ffff:ffff:ffff:ffff:ffff
1182ef0:750::/282ef0:75f:ffff:ffff:ffff:ffff:ffff:ffff
1192ef0:760::/282ef0:76f:ffff:ffff:ffff:ffff:ffff:ffff
1202ef0:770::/282ef0:77f:ffff:ffff:ffff:ffff:ffff:ffff
1212ef0:780::/282ef0:78f:ffff:ffff:ffff:ffff:ffff:ffff
1222ef0:790::/282ef0:79f:ffff:ffff:ffff:ffff:ffff:ffff
1232ef0:7a0::/282ef0:7af:ffff:ffff:ffff:ffff:ffff:ffff
1242ef0:7b0::/282ef0:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1252ef0:7c0::/282ef0:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1262ef0:7d0::/282ef0:7df:ffff:ffff:ffff:ffff:ffff:ffff
1272ef0:7e0::/282ef0:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1282ef0:7f0::/282ef0:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1292ef0:800::/282ef0:80f:ffff:ffff:ffff:ffff:ffff:ffff
1302ef0:810::/282ef0:81f:ffff:ffff:ffff:ffff:ffff:ffff
1312ef0:820::/282ef0:82f:ffff:ffff:ffff:ffff:ffff:ffff
1322ef0:830::/282ef0:83f:ffff:ffff:ffff:ffff:ffff:ffff
1332ef0:840::/282ef0:84f:ffff:ffff:ffff:ffff:ffff:ffff
1342ef0:850::/282ef0:85f:ffff:ffff:ffff:ffff:ffff:ffff
1352ef0:860::/282ef0:86f:ffff:ffff:ffff:ffff:ffff:ffff
1362ef0:870::/282ef0:87f:ffff:ffff:ffff:ffff:ffff:ffff
1372ef0:880::/282ef0:88f:ffff:ffff:ffff:ffff:ffff:ffff
1382ef0:890::/282ef0:89f:ffff:ffff:ffff:ffff:ffff:ffff
1392ef0:8a0::/282ef0:8af:ffff:ffff:ffff:ffff:ffff:ffff
1402ef0:8b0::/282ef0:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1412ef0:8c0::/282ef0:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1422ef0:8d0::/282ef0:8df:ffff:ffff:ffff:ffff:ffff:ffff
1432ef0:8e0::/282ef0:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1442ef0:8f0::/282ef0:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1452ef0:900::/282ef0:90f:ffff:ffff:ffff:ffff:ffff:ffff
1462ef0:910::/282ef0:91f:ffff:ffff:ffff:ffff:ffff:ffff
1472ef0:920::/282ef0:92f:ffff:ffff:ffff:ffff:ffff:ffff
1482ef0:930::/282ef0:93f:ffff:ffff:ffff:ffff:ffff:ffff
1492ef0:940::/282ef0:94f:ffff:ffff:ffff:ffff:ffff:ffff
1502ef0:950::/282ef0:95f:ffff:ffff:ffff:ffff:ffff:ffff
1512ef0:960::/282ef0:96f:ffff:ffff:ffff:ffff:ffff:ffff
1522ef0:970::/282ef0:97f:ffff:ffff:ffff:ffff:ffff:ffff
1532ef0:980::/282ef0:98f:ffff:ffff:ffff:ffff:ffff:ffff
1542ef0:990::/282ef0:99f:ffff:ffff:ffff:ffff:ffff:ffff
1552ef0:9a0::/282ef0:9af:ffff:ffff:ffff:ffff:ffff:ffff
1562ef0:9b0::/282ef0:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1572ef0:9c0::/282ef0:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1582ef0:9d0::/282ef0:9df:ffff:ffff:ffff:ffff:ffff:ffff
1592ef0:9e0::/282ef0:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1602ef0:9f0::/282ef0:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1612ef0:a00::/282ef0:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1622ef0:a10::/282ef0:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1632ef0:a20::/282ef0:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1642ef0:a30::/282ef0:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1652ef0:a40::/282ef0:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1662ef0:a50::/282ef0:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1672ef0:a60::/282ef0:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1682ef0:a70::/282ef0:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1692ef0:a80::/282ef0:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1702ef0:a90::/282ef0:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1712ef0:aa0::/282ef0:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1722ef0:ab0::/282ef0:abf:ffff:ffff:ffff:ffff:ffff:ffff
1732ef0:ac0::/282ef0:acf:ffff:ffff:ffff:ffff:ffff:ffff
1742ef0:ad0::/282ef0:adf:ffff:ffff:ffff:ffff:ffff:ffff
1752ef0:ae0::/282ef0:aef:ffff:ffff:ffff:ffff:ffff:ffff
1762ef0:af0::/282ef0:aff:ffff:ffff:ffff:ffff:ffff:ffff
1772ef0:b00::/282ef0:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1782ef0:b10::/282ef0:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1792ef0:b20::/282ef0:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1802ef0:b30::/282ef0:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1812ef0:b40::/282ef0:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1822ef0:b50::/282ef0:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1832ef0:b60::/282ef0:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1842ef0:b70::/282ef0:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1852ef0:b80::/282ef0:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1862ef0:b90::/282ef0:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1872ef0:ba0::/282ef0:baf:ffff:ffff:ffff:ffff:ffff:ffff
1882ef0:bb0::/282ef0:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1892ef0:bc0::/282ef0:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1902ef0:bd0::/282ef0:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1912ef0:be0::/282ef0:bef:ffff:ffff:ffff:ffff:ffff:ffff
1922ef0:bf0::/282ef0:bff:ffff:ffff:ffff:ffff:ffff:ffff
1932ef0:c00::/282ef0:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1942ef0:c10::/282ef0:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1952ef0:c20::/282ef0:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1962ef0:c30::/282ef0:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1972ef0:c40::/282ef0:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1982ef0:c50::/282ef0:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1992ef0:c60::/282ef0:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2002ef0:c70::/282ef0:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2012ef0:c80::/282ef0:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2022ef0:c90::/282ef0:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2032ef0:ca0::/282ef0:caf:ffff:ffff:ffff:ffff:ffff:ffff
2042ef0:cb0::/282ef0:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2052ef0:cc0::/282ef0:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2062ef0:cd0::/282ef0:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2072ef0:ce0::/282ef0:cef:ffff:ffff:ffff:ffff:ffff:ffff
2082ef0:cf0::/282ef0:cff:ffff:ffff:ffff:ffff:ffff:ffff
2092ef0:d00::/282ef0:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2102ef0:d10::/282ef0:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2112ef0:d20::/282ef0:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2122ef0:d30::/282ef0:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2132ef0:d40::/282ef0:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2142ef0:d50::/282ef0:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2152ef0:d60::/282ef0:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2162ef0:d70::/282ef0:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2172ef0:d80::/282ef0:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2182ef0:d90::/282ef0:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2192ef0:da0::/282ef0:daf:ffff:ffff:ffff:ffff:ffff:ffff
2202ef0:db0::/282ef0:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2212ef0:dc0::/282ef0:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2222ef0:dd0::/282ef0:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2232ef0:de0::/282ef0:def:ffff:ffff:ffff:ffff:ffff:ffff
2242ef0:df0::/282ef0:dff:ffff:ffff:ffff:ffff:ffff:ffff
2252ef0:e00::/282ef0:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2262ef0:e10::/282ef0:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2272ef0:e20::/282ef0:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2282ef0:e30::/282ef0:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2292ef0:e40::/282ef0:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2302ef0:e50::/282ef0:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2312ef0:e60::/282ef0:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2322ef0:e70::/282ef0:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2332ef0:e80::/282ef0:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2342ef0:e90::/282ef0:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2352ef0:ea0::/282ef0:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2362ef0:eb0::/282ef0:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2372ef0:ec0::/282ef0:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2382ef0:ed0::/282ef0:edf:ffff:ffff:ffff:ffff:ffff:ffff
2392ef0:ee0::/282ef0:eef:ffff:ffff:ffff:ffff:ffff:ffff
2402ef0:ef0::/282ef0:eff:ffff:ffff:ffff:ffff:ffff:ffff
2412ef0:f00::/282ef0:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2422ef0:f10::/282ef0:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2432ef0:f20::/282ef0:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2442ef0:f30::/282ef0:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2452ef0:f40::/282ef0:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2462ef0:f50::/282ef0:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2472ef0:f60::/282ef0:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2482ef0:f70::/282ef0:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2492ef0:f80::/282ef0:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2502ef0:f90::/282ef0:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2512ef0:fa0::/282ef0:faf:ffff:ffff:ffff:ffff:ffff:ffff
2522ef0:fb0::/282ef0:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2532ef0:fc0::/282ef0:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2542ef0:fd0::/282ef0:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2552ef0:fe0::/282ef0:fef:ffff:ffff:ffff:ffff:ffff:ffff
2562ef0:ff0::/282ef0:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses